#SingleInstance force
#Persistent

; Load CLR library that allows us to load C# DLLs
#include CLR.ahk

; Instantiate class from C# DLL
asm := CLR_LoadLibrary("InterceptionWrapper.dll")
global Interception := asm.CreateInstance("InterceptionWrapper")

; Param 1: Code for key
; Param 2: Block (true/false)
; Param 3: Callback
Interception.SubscribeKey(0x2D, true, Func("KeyEvent"))
return

KeyEvent(state){
	ToolTip % "State: " state
}

^Esc::
	ExitApp